// PowerTestDlg.h : header file
//

#if !defined(AFX_POWERTESTDLG_H__8E02E4E9_98A2_4276_8DED_B5E6F67AD283__INCLUDED_)
#define AFX_POWERTESTDLG_H__8E02E4E9_98A2_4276_8DED_B5E6F67AD283__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CPowerTestDlg dialog

class CPowerTestDlg : public CDialog
{
// Construction
public:
	CPowerTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPowerTestDlg)
	enum { IDD = IDD_POWERTEST_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPowerTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL	InitDialog();
	HICON	m_hIcon;
	HANDLE	m_hWav;
	HANDLE	m_hPwrOff;
	typedef UINT (*SIOBACKLIGHTOFF)(void);
	typedef UINT (*SIOBACKLIGHTON)(void);

	SIOBACKLIGHTOFF SIOBackLightOFF;
	SIOBACKLIGHTON SIOBackLightON;

	// Generated message map functions
	//{{AFX_MSG(CPowerTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnHelpInfo();
	afx_msg void OnAmpOn();
	afx_msg void OnCodecOn();
	afx_msg void OnCodecOff();
	afx_msg void OnAmpOff();
	afx_msg void OnClose();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSerialOff();
	afx_msg void OnSerialOn();
	afx_msg void OnPe1On();
	afx_msg void OnPe1Off();
	afx_msg void OnPe2On();
	afx_msg void OnPe2Off();
	afx_msg void OnPanelOff();
	afx_msg void OnBackliteOff();
	afx_msg void OnVeeOff();
	afx_msg void OnVeeOn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL fBacklightOff;
	BOOL fPanelOff;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POWERTESTDLG_H__8E02E4E9_98A2_4276_8DED_B5E6F67AD283__INCLUDED_)
